QScintilla 2.14.1

Classes | Public Slots | Public Member Functions | List of all members
QsciMacro Class Reference

`#include <qscimacro.h>`

Inherits QObject.

## Public Slots
virtual void | play ()
virtual void | startRecording ()
virtual void | endRecording ()

## Public Member Functions
| QsciMacro (QsciScintilla *parent)
| QsciMacro (const QString &asc, QsciScintilla *parent)
virtual | ~QsciMacro ()
void | clear ()
bool | load (const QString &asc)
QString | save () const

## Detailed Description

The QsciMacro class represents a sequence of recordable editor commands.

Methods are provided to convert convert a macro to and from a textual representation so that they can be easily written to and read from permanent storage.

## Constructor & Destructor Documentation

## ◆ QsciMacro()

QsciMacro::QsciMacro | ( | const QString & | asc,
|  | QsciScintilla * | parent
| ) |  |

Construct a QsciMacro from the printable ASCII representation asc, with parent parent.

## Member Function Documentation

## ◆ load()

bool QsciMacro::load | ( | const QString & | asc | ) |

Load the macro from the printable ASCII representation asc. Returns true if there was no error.

See also
  save()

## ◆ save()

QString QsciMacro::save | ( |  | ) | const

Return a printable ASCII representation of the macro. It is guaranteed that only printable ASCII characters are used and that double quote characters will not be used.

See also
  load()